import 'dart:ffi';

import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'external_app_launcher_platform_interface.dart';

/// An implementation of [ExternalAppLauncherPlatform] that uses method channels.
class MethodChannelExternalAppLauncher extends ExternalAppLauncherPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('external_app_launcher');

  // @override
  // Future<String?> getPlatformVersion() async {
  //   final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
  //   return version;
  // }

  @override
  void launchApp({required String packageName}) async {
    await methodChannel.invokeMethod(
        'externalAppLauncher', {"packageName": packageName});
  }
}
