import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'external_app_launcher_method_channel.dart';

abstract class ExternalAppLauncherPlatform extends PlatformInterface {
  /// Constructs a ExternalAppLauncherPlatform.
  ExternalAppLauncherPlatform() : super(token: _token);

  static final Object _token = Object();

  static ExternalAppLauncherPlatform _instance = MethodChannelExternalAppLauncher();

  /// The default instance of [ExternalAppLauncherPlatform] to use.
  ///
  /// Defaults to [MethodChannelExternalAppLauncher].
  static ExternalAppLauncherPlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [ExternalAppLauncherPlatform] when
  /// they register themselves.
  static set instance(ExternalAppLauncherPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  // Future<String?> getPlatformVersion() {
  //   throw UnimplementedError('platformVersion() has not been implemented.');
  // }

  void launchApp({required String packageName }) {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
