import 'package:flutter_test/flutter_test.dart';
import 'package:external_app_launcher/external_app_launcher.dart';
import 'package:external_app_launcher/external_app_launcher_platform_interface.dart';
import 'package:external_app_launcher/external_app_launcher_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockExternalAppLauncherPlatform 
    with MockPlatformInterfaceMixin
    implements ExternalAppLauncherPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final ExternalAppLauncherPlatform initialPlatform = ExternalAppLauncherPlatform.instance;

  test('$MethodChannelExternalAppLauncher is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelExternalAppLauncher>());
  });

  test('getPlatformVersion', () async {
    ExternalAppLauncher externalAppLauncherPlugin = ExternalAppLauncher();
    MockExternalAppLauncherPlatform fakePlatform = MockExternalAppLauncherPlatform();
    ExternalAppLauncherPlatform.instance = fakePlatform;
  
    expect(await externalAppLauncherPlugin.getPlatformVersion(), '42');
  });
}
